Posts Tagged ‘Linux’

Ubuntu/Debian & Postfix: Increase attachment size limit

By default postfix limits the attachment size to about 10 MB. You can determine the current limit with the following command: # sudo postconf | grep message_size_limit message_size_limit = 10240000# sudo postconf | grep message_size_limit message_size_limit = 10240000 To increase the limit add (or change) the following setting in the file /etc/postfix/main.cf: # 20MB message_size_limit […]

Read more…

XenServer 5.6 & Debian Lenny: Fix apt-get/aptitude GPG error

If you follow the instructions in the Citrix Developer Network to set up a (paravirtualized) Debian Lenny guest system apt-get or aptitude will show the following error W: GPG error: http://updates.vmd.citrix.com lenny Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 841D6D8DFE3F8BB2 W: You may want to run apt-get […]

Read more…

Ubuntu 10.04: Setup APC for PHP 5.3 and Apache2

Installing the APC (Alternative PHP Cache) using the php-apc package is straightforward: # sudo aptitude install php-apc # sudo /etc/init.d/apache2 restart# sudo aptitude install php-apc # sudo /etc/init.d/apache2 restart Using the package php-apc installs APC 3.1.3p1. If you would like to use the most recent version 3.1.4 you can manually set up the PECL package […]

Read more…

Ubuntu 10.04 & PHP 5.3: Installing pecl_http

To install the pecl_http PHP extension on Ubuntu 10.04 follow the instructions below: Install the required packages: # sudo apt-get install php-pear php5-dev libcurl4-openssl-dev# sudo apt-get install php-pear php5-dev libcurl4-openssl-dev Install pecl_http: # sudo pecl install pecl_http# sudo pecl install pecl_http Create file /etc/php5/conf.d/http.ini with the following content: extension=http.soextension=http.so Restart Apache2: # sudo /etc/init.d/apache2 restart# […]

Read more…

Ubuntu 10.04 & PHP 5.3: Setup PDFlib 6 with PECL

If you want to use the (old) PDFlib 6 (because you have paid for a license), you will get the following error when you try to install the latest pecl pdflib package (version 2.1.8) for PHP 5.3: […] running: make /bin/bash /var/tmp/pear-build-root/pdflib-2.1.8/libtool –mode=compile cc -I. -I/tmp/pear/temp/pdflib -DPHP_ATOM_INC -I/var/tmp/pear-build-root/pdflib-2.1.8/include -I/var/tmp/pear-build-root/pdflib-2.1.8/main -I/tmp/pear/temp/pdflib -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext […]

Read more…